Page MenuHomePhabricator

[clangd] Remove Tweak::Intent, use CodeAction kind directly
ClosedPublic

Authored by sammccall on Sep 28 2020, 9:17 AM.

Details

Summary

Intent was a nice idea but it ends up being a bit awkward/heavyweight
without adding much.

In particular, it makes it hard to implement CodeActionParams.only properly
(there's an inheritance hierarchy for kinds).

Diff Detail

Event Timeline

sammccall created this revision.Sep 28 2020, 9:17 AM
sammccall requested review of this revision.Sep 28 2020, 9:17 AM
kbobyrev accepted this revision.Oct 1 2020, 11:31 PM

LGTM; maybe mark as refactoring/NFC ;)

This revision is now accepted and ready to land.Oct 1 2020, 11:31 PM
This revision was landed with ongoing or failed builds.Oct 2 2020, 2:14 AM
This revision was automatically updated to reflect the committed changes.